## spdx-licenses 3.8+dfsg

=== debian/changelog ===
spdx-licenses (3.8+dfsg-3) unstable; urgency=medium

  * friendly takeover;
    thanks for initiating this, Michael Lustfield

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Apr 2021 09:12:25 +0200

spdx-licenses (3.8+dfsg-2) unstable; urgency=medium

  * debian/copyright:
    + Update with note about license of license texts.
    + Append missing file suffix to appropriate files.
  * Clean up package description.

 -- Michael Lustfield <mtecknology@debian.org>  Tue, 31 Mar 2020 12:52:34 -0500

spdx-licenses (3.8+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #955001)

 -- Michael Lustfield <mtecknology@debian.org>  Tue, 31 Mar 2020 09:42:24 +0000
