=== requirements.txt ===
# used for validate-schema.py
xmlschema
