=== debian/changelog ===
spdx-licenses (3.21-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix use proper source; closes: bug#975120
  * update git-buildpackage config:
    enable tag signing;
    use DEP-14 git branches;
    enable automatic DEP-14 branch name handling;
    add usage config
  * override upstream build routines, requiring network access
  * adjust install file

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Sep 2024 22:00:49 +0200
