=== debian/control ===
Source: spdx-licenses
Section: doc
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Debian/spdx-licenses
Vcs-Git: https://github.com/Debian/spdx-licenses.git
Homepage: https://github.com/spdx/license-list-XML
Rules-Requires-Root: no

Package: spdx-licenses
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Collection of license data provided by SPDX Workgroup
 SPDX Licenses provides a collection of license texts which were assembled
 and provided by SPDX Workgroup, a Linux Foundaition Project. This package
 makes most of these license texts available to Debian systems.
 .
 Note: License texts have NOT been evaluated against DFSG.
