=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# FIXME: upstream build requires network access
override_dh_auto_build:
override_dh_auto_install:
