=== debian/changelog ===
spdx-licenses (3.27.0+ds-1) experimental; urgency=medium

  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + update coverage
    + use Reference: field
  * update git-buildpackage config:
    + filter out eventual debian subdir
    + stop superfluously filter out .git* files
    + improve usage comment
  * update watch file:
    + auto-mangle upstream version
    + stop mangle filename
    + use repack suffix +ds
  * update Vcs-* fields
  * stop superfluously set fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * use debhelper compatibility level 13

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Feb 2026 23:35:58 +0100
