=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: spdx-licenses
 Section: doc
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
-Vcs-Browser: https://github.com/Debian/spdx-licenses
-Vcs-Git: https://github.com/Debian/spdx-licenses.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.3
 Homepage: https://github.com/spdx/license-list-XML
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/spdx-licenses.git
+Vcs-Browser: https://salsa.debian.org/debian/spdx-licenses
 
 Package: spdx-licenses
 Architecture: all
